query listEmergencyContacts @auth(level: USER) {
  emergencyContacts {
    id
    name
    phone
    relationship
    staffId
    createdAt
    updatedAt
    createdBy
  }
}

query getEmergencyContactById($id: UUID!) @auth(level: USER) {
  emergencyContact(id: $id) {
    id
    name
    phone
    relationship
    staffId
    createdAt
    updatedAt
    createdBy
  }
}

query getEmergencyContactsByStaffId($staffId: UUID!) @auth(level: USER) {
  emergencyContacts(where: { staffId: { eq: $staffId } }) {
    id
    name
    phone
    relationship
    staffId
    createdAt
    updatedAt
    createdBy
  }
}
